Configure default PR Checks

Create or update the workspace default PR Checks configuration. This configuration is applied to newly activated repositories that do not have a repo-specific configuration. It does not update existing repo configurations.

The default configuration is considered enabled when at least one of the following is true: fail_on_dependency_scan, fail_on_sast_scan, fail_on_iac_scan, fail_on_secrets_scan, fail_on_malware_scan, enable_code_quality_scan, or run_deep_audit_pr_scan. If all of those are false, the default configuration is removed.

Enabling a default configuration requires a paying account. Deep Review (run_deep_audit_pr_scan) is only available in the EU and US regions and requires at least one vulnerability scan type to be enabled.

Body Params

Default PR Checks configuration for new repositories

string
enum
required

Minimum severity of new issues for when the CI Check should fail

Allowed:
boolean
required

Boolean representing if the CI Check should fail for new dependency issues

boolean
required

Boolean representing if the CI Check should fail for new sast issues

boolean
required

Boolean representing if the CI Check should fail for new iac issues

boolean
required

Boolean representing if the CI Check should fail for new secret issues

boolean
required

Boolean representing if the CI Check should fail for new malware issues

string
enum

Minimum severity of new issues for when inline comments should be posted. Use 'none' or omit to disable inline comments. Default is 'none'.

Allowed:
string
enum

Minimum severity of new license issues for when the CI Check should fail. 'none' means the CI Check will not fail for any new license issues. Only applied when the CI license scan product feature is enabled.

Allowed:
boolean
required

Boolean representing if the code quality scan is enabled. When false, fail_on_code_quality_scan is forced to false and code quality inline comments are disabled.

boolean
required

Boolean representing if the CI Check should fail for new code quality issues. Ignored when enable_code_quality_scan is false.

string
enum

Minimum severity of new code quality issues for when inline comments should be posted. Defaults to 'low' when code quality is enabled. Ignored when enable_code_quality_scan is false.

Allowed:
boolean

Boolean representing if Deep Review should be run on pull requests. Defaults to false. Requires at least one vulnerability scan type to be enabled, and is only available in the EU and US regions.

Responses

400

Invalid configuration (for example Deep Review outside the EU or US regions, or Deep Review without a vulnerability scan type enabled).

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json